/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import { Link } from './link';
import { Vehicle } from './vehicle';

/**
 * 
 * @export
 * @interface EntityModelTransport
 */
export interface EntityModelTransport {
    /**
     * 
     * @type {Vehicle}
     * @memberof EntityModelTransport
     */
    'vehicle'?: Vehicle;
    /**
     * 
     * @type {string}
     * @memberof EntityModelTransport
     */
    'mode'?: EntityModelTransportModeEnum;
    /**
     * 
     * @type {string}
     * @memberof EntityModelTransport
     */
    'arrivalPortCallId'?: string;
    /**
     * 
     * @type {string}
     * @memberof EntityModelTransport
     */
    'destinationPortCallId'?: string;
    /**
     * 
     * @type {{ [key: string]: Link; }}
     * @memberof EntityModelTransport
     */
    '_links'?: { [key: string]: Link; };
}

export const EntityModelTransportModeEnum = {
    Ocean: 'OCEAN'
} as const;

export type EntityModelTransportModeEnum = typeof EntityModelTransportModeEnum[keyof typeof EntityModelTransportModeEnum];


